/**
 * 用户登录的共通处理js
 */

/**
 * 如果用户为登陆，根据当前窗口显示登陆画面，
 * 经过登陆后的用户会显示当前的窗口
 * @param {Object} windowID
 */
function noLogin(windowID){
	//先保存当前窗口ID
	localStorage.setItem(LOCAL_Login_WindowID,windowID);
	console.log("打开用户登录窗口");
	mui.openWindow({
		url:"login.html",
		id:"login.html",
		styles:{
			top:"0px",
			bottom:"0px"
		},
		show: {
	        autoShow: true //页面loaded事件发生后自动显示，默认为true
	    }
	});	
}

/**
 * 自动登陆处理
 * APP启动的时候进行调用，如果保存的自动登陆设置为‘true'，则通过本地保存的账号密码进行自动登陆，并保存token
 * 如果自动登陆设置为'flase'，则不进行处理。
 */
function autoLogin(){
	console.log('自动登陆处理开始')
	var autoLogin=localStorage.getItem(LOCAL_LoginSetting);
	console.log('自动登陆设置='+autoLogin); 
	if(autoLogin=='true'){
		//自动登陆
		//判断本地是否保存了用户名和密码，如果有则进行登陆，没有，返回。
		var userid=localStorage.getItem(LOCAL_St_AccName);
		var userpassword=localStorage.getItem(LOCAL_St_AccPassword);
		if(userid!=null&&userpassword!=null){
			console.log('通过账号密码自动登陆'); 
			//登陆处理ajax
			mui.ajax({
						url:serverPath,
						async: true, 
						type: "post",
						data: {
		                    AjaxType: "Userlogin",
		                    UserName:userid,
		                    Password:userpassword
		                },
		                dataType: "json",
						 success: function(data) {
						 	var json = data;
						 	console.log(json.toString());
						 	if(json.MsgInfo!=null){
						 		console.log(json.MsgInfo);
						 		return;
						 	}
						 	if(json.DataSet!=null&&json.Token!=null){
						 		//用户信息保存到本地
						 		console.log(JSON.stringify(json.DataSet));
						 		var studentObj = eval(json.DataSet)
								console.log("返回数据长度:"+studentObj.length);
								for(var i=0; i<studentObj.length; i++)  
								{  
									//正常是一个Obj
									console.log("学生ID="+studentObj[i].St_ID);
									console.log("学生账户="+studentObj[i].St_AccName);
									console.log("学生姓名="+studentObj[i].St_Name);
									console.log("学生性别(0-男/1-女)="+studentObj[i].St_Sex);
									console.log("学生手机号="+studentObj[i].St_PhoneMobi);
									console.log("学生组织名="+studentObj[i].Org_Name);
									console.log("学生组织ID="+studentObj[i].Org_ID);
									localStorage.setItem(LOCAL_St_ID,studentObj[i].St_ID);
									localStorage.setItem(LOCAL_St_AccName,studentObj[i].St_AccName);
									localStorage.setItem(LOCAL_St_Name,studentObj[i].St_Name);
									localStorage.setItem(LOCAL_St_PhoneMobi,studentObj[i].St_PhoneMobi);
									localStorage.setItem(LOCAL_Org_Name,studentObj[i].Org_Name);
									localStorage.setItem(LOCAL_Org_ID,studentObj[i].Org_ID);
									localStorage.setItem(LOCAL_St_Sex,studentObj[i].St_Sex);
									localStorage.setItem(LOCAL_St_AccPassword,userpassword);
								}
						 		//保存用户的Token(令牌)信息到本地
						 		console.log("登陆成功，用户的令牌信息="+json.Token);
						 		localStorage.setItem(LOCAL_htphToken,json.Token)
						 	}	
		                },
		                error: function(xhr, type, errorThrown) {
		                      console.log(xhr.toString());
						}
		            });
			
			
		}
	}else{
		//为自动登陆，删除本地保存的数据。
		logoutLocalClear();
		console.log('未自动登陆');
		return;
	}
	console.log('自动登陆处理结束');
}

/**
 * 用户退出登录后，清除本地存储的数据
 */
function logoutLocalClear(){
	localStorage.removeItem(LOCAL_htphToken);
	localStorage.removeItem(LOCAL_Login_WindowID);
	localStorage.removeItem(LOCAL_phonenumber);
	localStorage.removeItem(LOCAL_LoginSetting);
	localStorage.removeItem(LOCAL_phonenumber_tmp);
	localStorage.removeItem(LOCAL_St_AccName);
	localStorage.removeItem(LOCAL_St_AccPassword);
	localStorage.removeItem(LOCAL_St_ID);
	localStorage.removeItem(LOCAL_St_Name);
	localStorage.removeItem(LOCAL_St_PhoneMobi);
	localStorage.removeItem(LOCAL_St_Sex);
	
}
